Bug 140806 - clock changed during startup in rhgb
clock changed during startup in rhgb
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-11-24 19:50 EST by Steve
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 15:31:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve 2004-11-24 19:50:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Unfortunately this occurs randomly but when I boot up Fedora Core 3
and it enters into the graphical boot (rhgb), it sometimes freezes on
the 'setting system clock'.  When I click to view more detail (the
messages), it freezes just after 'configuring kernel parameters'. 
After about 10 seconds it continues booting up but my system clock has
been set ahead (about 10 to 11 hours ahead I think).  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Boot up FC3
2.  Watch the graphical bootup

Actual Results:  In the simple view, it is stuck on the message
'setting system clock'.  When you go into detailed view, it is stuck
just after 'configuring kernel parameters'.  After about 10 seconds,
it continues and the system clock has been changed to about 10 hours

Expected Results:  Usually, there isnt a 10 second pause after
'confuring kernel parameters', and the system clock shouldn't have

Additional info:

I've checked my timezone and it is correctly set (GMT+10).  Also, when
it actually does set the system clock to localtime during bootup
(which occurs a bit after the 'configuring kernel parameters'), it set
it to the wrong time there so something happened before then.

Now I've disabled rhgb in grub.conf and I dont seem to have this
problem anymore.  So I suspect something is happening during rhgb?
Comment 1 Daniel Veillard 2004-11-25 10:18:13 EST
rhgb does not touch the system clock... I never saw this myself
and without a way to reproduce the problem I don't see how to even
start to diagnose what's happening. Recheck that your system is pristine
i.e. that all packages and services started from boot are the one
coming from Fedora Core 3 and that no other code may introduce that

Comment 2 John Thacker 2006-10-31 15:31:27 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.